> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List permissions for an Entity

> Returns a page listing the permissions associated with this Entity



## OpenAPI

````yaml get /v1/entities/{entityId}/permissions
openapi: 3.0.4
info:
  title: DER Connect Principal API
  description: Provides endpoints to manage the platform.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/permissions:
    get:
      tags:
        - Entities
      summary: List permissions by Entity
      description: Returns a page listing the permissions associated with this Entity
      operationId: ListEntityPermissionsEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Principal.App.Models.V1.PagedPermissions
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Principal.App.Models.V1.PagedPermissions:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/Connect.Service.Principal.App.Models.V1.Permission
          nullable: true
        links:
          $ref: '#/components/schemas/Connect.Models.Links'
        meta:
          $ref: '#/components/schemas/Connect.Models.Meta'
      additionalProperties: false
      description: A page of permissions
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Principal.App.Models.V1.Permission:
      type: object
      properties:
        entityId:
          type: string
          description: The id of the Entity
          format: uuid
        id:
          type: string
          description: The id
          format: uuid
        permissionLevels:
          type: array
          items:
            $ref: >-
              #/components/schemas/Connect.Service.Principal.App.Models.V1.PermissionLevel
          description: The permission levels
          nullable: true
        principalId:
          type: string
          description: The id of the Principal
          format: uuid
      additionalProperties: false
      description: A permission
    Connect.Models.Links:
      type: object
      properties:
        next:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Models.Meta:
      type: object
      properties:
        continuationToken:
          type: string
          nullable: true
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Service.Principal.App.Models.V1.PermissionLevel:
      enum:
        - Viewer
        - Contributor
        - Administer
        - Owner
      type: string
      description: The available Permission Levels.
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````